# EllipseGraphics

#### new Cesium.EllipseGraphics(options)
DataSources/EllipseGraphics.js 48

Describes an ellipse defined by a center point and semi-major and semi-minor axes. The ellipse conforms to the curvature of the globe and can be placed on the surface or at altitude and can optionally be extruded into a volume. The center point is determined by the containing `Entity`.

Name | Type | Description
--- | --- | ---
`options` | EllipseGraphics.ConstructorOptions | optional Object describing initialization options

##### Demo:

- Cesium Sandcastle Circles and Ellipses Demo

### Members

#### classificationType : Property|undefined
DataSources/EllipseGraphics.js 261

Gets or sets the `ClassificationType` Property specifying whether this ellipse will classify terrain, 3D Tiles, or both when on the ground.

Default Value: `ClassificationType.BOTH`

#### readonly definitionChanged : Event
DataSources/EllipseGraphics.js 102

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property|undefined
DataSources/EllipseGraphics.js 251

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this ellipse will be displayed.

#### extrudedHeight : Property|undefined
DataSources/EllipseGraphics.js 152

Gets or sets the numeric Property specifying the altitude of the ellipse extrusion. Setting this property creates volume starting at height and ending at this altitude.

#### extrudedHeightReference : Property|undefined
DataSources/EllipseGraphics.js 160

Gets or sets the Property specifying the extruded `HeightReference`.

Default Value: `HeightReference.NONE`

#### fill : Property|undefined
DataSources/EllipseGraphics.js 192

Gets or sets the boolean Property specifying whether the ellipse is filled with the provided material.

Default Value: `true`

#### granularity : Property|undefined
DataSources/EllipseGraphics.js 184

Gets or sets the numeric Property specifying the angular distance between points on the ellipse.

Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`

#### height : Property|undefined
DataSources/EllipseGraphics.js 136

Gets or sets the numeric Property specifying the altitude of the ellipse.

Default Value: `0.0`

#### heightReference : Property|undefined
DataSources/EllipseGraphics.js 144

Gets or sets the Property specifying the `HeightReference`.

Default Value: `HeightReference.NONE`

#### material : MaterialProperty|undefined
DataSources/EllipseGraphics.js 200

Gets or sets the Property specifying the material used to fill the ellipse.

Default Value: `Color.WHITE`

#### numberOfVerticalLines : Property|undefined
DataSources/EllipseGraphics.js 235

Gets or sets the numeric Property specifying the number of vertical lines to draw along the perimeter for the outline.

Default Value: `16`

#### outline : Property|undefined
DataSources/EllipseGraphics.js 208

Gets or sets the Property specifying whether the ellipse is outlined.

Default Value: `false`

#### outlineColor : Property|undefined
DataSources/EllipseGraphics.js 216

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
DataSources/EllipseGraphics.js 227

Gets or sets the numeric Property specifying the width of the outline.

Note: This property will be ignored on all major browsers on Windows platforms. For details, see (@link https://github.com/CesiumGS/cesium/issues/40}.

Default Value: `1.0`

#### rotation : Property|undefined
DataSources/EllipseGraphics.js 168

Gets or sets the numeric property specifying the rotation of the ellipse counter-clockwise from north.

Default Value: `0`

#### semiMajorAxis : Property|undefined
DataSources/EllipseGraphics.js 121

Gets or sets the numeric Property specifying the semi-major axis.

#### semiMinorAxis : Property|undefined
DataSources/EllipseGraphics.js 128

Gets or sets the numeric Property specifying the semi-minor axis.

#### shadows : Property|undefined
DataSources/EllipseGraphics.js 244

Get or sets the enum Property specifying whether the ellipse casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### show : Property|undefined
DataSources/EllipseGraphics.js 114

Gets or sets the boolean Property specifying the visibility of the ellipse.

Default Value: `true`

#### stRotation : Property|undefined
DataSources/EllipseGraphics.js 176

Gets or sets the numeric property specifying the rotation of the ellipse texture counter-clockwise from north.

Default Value: `0`

#### zIndex : ConstantProperty|undefined
DataSources/EllipseGraphics.js 269

Gets or sets the zIndex Property specifying the ellipse ordering. Only has an effect if the ellipse is constant and neither height or extrudedHeight are specified

Default Value: `0`

### Methods

#### clone(result) → EllipseGraphics
DataSources/EllipseGraphics.js 278

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | EllipseGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/EllipseGraphics.js 311

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | EllipseGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.EllipseGraphics.ConstructorOptions
DataSources/EllipseGraphics.js 8

Initialization options for the EllipseGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the ellipse.
`semiMajorAxis` | Property | number | <optional> |  | The numeric Property specifying the semi-major axis.
`semiMinorAxis` | Property | number | <optional> |  | The numeric Property specifying the semi-minor axis.
`height` | Property | number | <optional> | 0 | A numeric Property specifying the altitude of the ellipse relative to the ellipsoid surface.
`heightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the height is relative to.
`extrudedHeight` | Property | number | <optional> |  | A numeric Property specifying the altitude of the ellipse's extruded face relative to the ellipsoid surface.
`extrudedHeightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the extrudedHeight is relative to.
`rotation` | Property | number | <optional> | 0.0 | A numeric property specifying the rotation of the ellipse counter-clockwise from north.
`stRotation` | Property | number | <optional> | 0.0 | A numeric property specifying the rotation of the ellipse texture counter-clockwise from north.
`granularity` | Property | number | <optional> | Cesium.Math.RADIANS_PER_DEGREE | A numeric Property specifying the angular distance between points on the ellipse.
`fill` | Property | boolean | <optional> | true | A boolean Property specifying whether the ellipse is filled with the provided material.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to fill the ellipse.
`outline` | Property | boolean | <optional> | false | A boolean Property specifying whether the ellipse is outlined.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 1.0 | A numeric Property specifying the width of the outline.
`numberOfVerticalLines` | Property | number | <optional> | 16 | A numeric Property specifying the number of vertical lines to draw along the perimeter for the outline.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the ellipse casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this ellipse will be displayed.
`classificationType` | Property | ClassificationType | <optional> | ClassificationType.BOTH | An enum Property specifying whether this ellipse will classify terrain, 3D Tiles, or both when on the ground.
`zIndex` | ConstantProperty | number | <optional> | 0 | A property specifying the zIndex of the Ellipse. Used for ordering ground geometry. Only has an effect if the ellipse is constant and neither height or exturdedHeight are specified.